# Copyright © 2020 Profirator Oy, HYPERTEGRITY AG, omp computer gmbh
# This file is covered by the EUPL license.
# You may obtain a copy of the licence at
# https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12

apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: NAMESPACE
  creationTimestamp: null
  labels:
    io.kompose.service: kurento
  name: kurento
spec:
  selector:
    matchLabels:
      io.kompose.service: kurento
  replicas: 1
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: kurento
    spec:
      containers:
      - env:
        image: fiware/stream-oriented-kurento:6.8.0
        name: kurento
        resources:
          requests:
          # Resource requests are defined in the .gitlab-ci.yaml
            memory: MEMORYREQUEST
            cpu: CPUREQUEST
      restartPolicy: Always
status: {}

---

apiVersion: v1
kind: Service
metadata:
  namespace: NAMESPACE
  creationTimestamp: null
  labels:
    io.kompose.service: kurento
  name: kurento
spec:
  ports:
  - name: "8888"
    port: 8888
    targetPort: 8888
  selector:
    io.kompose.service: kurento
status:
  loadBalancer: {}
